summaryrefslogtreecommitdiffstats
path: root/source/l/graphite2
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-11-28 07:25:32 +0000
committer Eric Hameleers <alien@slackware.com>2018-11-28 17:59:44 +0100
commit388986876373b8d6d9053c36196978464bd3362e (patch)
tree2447049c22eb45bd771fa0132638b508ecff9992 /source/l/graphite2
parentbec25255185f3eb2e43abf4a495c275fe3c70fbf (diff)
downloadcurrent-388986876373b8d6d9053c36196978464bd3362e.tar.gz
current-388986876373b8d6d9053c36196978464bd3362e.tar.xz
Wed Nov 28 07:25:32 UTC 201820181128072532
a/elilo-3.16-x86_64-9.txz: Rebuilt. eliloconfig: don't assume that mount output lists the / partition first. a/f2fs-tools-1.12.0-x86_64-1.txz: Added. a/kernel-generic-4.19.5-x86_64-1.txz: Upgraded. a/kernel-huge-4.19.5-x86_64-1.txz: Upgraded. CRYPTO_CRC32 m -> y F2FS_FS m -> y a/kernel-modules-4.19.5-x86_64-1.txz: Upgraded. a/sysvinit-scripts-2.1-noarch-22.txz: Rebuilt. rc.S: if we're using F2FS for the root filesystem, don't try to check it as fsck.f2fs throws an error on trying to check a read-only filesystem. d/clisp-2.49_20181112_df3b9f6fd-x86_64-1.txz: Upgraded. d/kernel-headers-4.19.5-x86-1.txz: Upgraded. k/kernel-source-4.19.5-noarch-1.txz: Upgraded. l/graphite2-1.3.12-x86_64-1.txz: Added. Required by harfbuzz in order to use it as a system library for TeXlive. l/harfbuzz-2.1.3-x86_64-1.txz: Upgraded. Requires graphite2-1.3.12. t/texlive-2018.180822-x86_64-4.txz: Rebuilt. Use system harfbuzz, not the bundled version. isolinux/initrd.img: Rebuilt. Activate LVM volumes at boot, not only when setup is run. Make /etc/mtab a symlink to /proc/mounts on the installer. On a freshly installed system, make /etc/mtab a symlink to /proc/mounts. Include f2fs-tools on the installer. Support installing on F2FS partitions. kernels/*: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'source/l/graphite2')
-rwxr-xr-xsource/l/graphite2/graphite2.SlackBuild116
-rw-r--r--source/l/graphite2/graphite2.url2
-rw-r--r--source/l/graphite2/slack-desc19
3 files changed, 137 insertions, 0 deletions
diff --git a/source/l/graphite2/graphite2.SlackBuild b/source/l/graphite2/graphite2.SlackBuild
new file mode 100755
index 000000000..8d42ca20f
--- /dev/null
+++ b/source/l/graphite2/graphite2.SlackBuild
@@ -0,0 +1,116 @@
+#!/bin/sh
+
+# Copyright 2013, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=graphite2
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/${PKGNAM}-${VERSION}.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DCMAKE_BUILD_TYPE=Release \
+ -Wno-dev ..
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd ..
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ COPYING* LICENSE* README* Todo* \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/l/graphite2/graphite2.url b/source/l/graphite2/graphite2.url
new file mode 100644
index 000000000..fea528e97
--- /dev/null
+++ b/source/l/graphite2/graphite2.url
@@ -0,0 +1,2 @@
+http://graphite.sil.org/
+https://github.com/silnrsi/graphite
diff --git a/source/l/graphite2/slack-desc b/source/l/graphite2/slack-desc
new file mode 100644
index 000000000..fb3e6e841
--- /dev/null
+++ b/source/l/graphite2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+graphite2: graphite2 (rendering engine for graphite fonts)
+graphite2:
+graphite2: Graphite is a system that can be used to create "smart fonts" capable
+graphite2: of displaying writing systems with various complex behaviors. A smart
+graphite2: font contains not only letter shapes but also additional instructions
+graphite2: indicating how to combine and position the letters in complex ways.
+graphite2:
+graphite2: Homepage: http://graphite.sil.org/
+graphite2:
+graphite2:
+graphite2: